/*
 * Class REAL_64
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_864 [] = {0xFF01,2171,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_864 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_864 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_7_864 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_8_864 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_9_864 [] = {0xFF01,862,0xFFFF};
static const EIF_TYPE_INDEX egt_10_864 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_864[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_864), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_864), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_864), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_864), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_864), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_864), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_864), 21645, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_864), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_864), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21617, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21588, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21640, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21641, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21644, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21616, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21621, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21624, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21625, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21632, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21594, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_864), 21595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21642, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21614, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_864), 21645, 0xFFFFFFFF},
};
void Init864(void)
{
	IDSC(desc_864, 0, 863);
	IDSC(desc_864 + 1, 1, 863);
	IDSC(desc_864 + 32, 700, 863);
	IDSC(desc_864 + 34, 171, 863);
	IDSC(desc_864 + 44, 1459, 863);
	IDSC(desc_864 + 48, 939, 863);
	IDSC(desc_864 + 51, 832, 863);
	IDSC(desc_864 + 78, 224, 863);
}


#ifdef __cplusplus
}
#endif
